Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network218.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
218.0.0.0
Broadcast address
218.127.255.255
First usable
218.0.0.1
Last usable
218.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
C (default /24)
As numbers
Hex DA000000 · Integer 3657433088 to 3665821695
Reverse DNS zones
0.218.in-addr.arpa
1.218.in-addr.arpa
2.218.in-addr.arpa
3.218.in-addr.arpa
4.218.in-addr.arpa
5.218.in-addr.arpa
6.218.in-addr.arpa
7.218.in-addr.arpa
8.218.in-addr.arpa
9.218.in-addr.arpa
10.218.in-addr.arpa
11.218.in-addr.arpa
12.218.in-addr.arpa
13.218.in-addr.arpa
14.218.in-addr.arpa
15.218.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011010.00000000.00000000.00000000218.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11011010.00000000.00000000.00000000218.0.0.0
Broadcast11011010.01111111.11111111.11111111218.127.255.255
Split into smaller subnets/21

218.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1218.0.0.0/21218.0.0.1 to 218.0.7.254218.0.7.2552,046
2218.0.8.0/21218.0.8.1 to 218.0.15.254218.0.15.2552,046
3218.0.16.0/21218.0.16.1 to 218.0.23.254218.0.23.2552,046
4218.0.24.0/21218.0.24.1 to 218.0.31.254218.0.31.2552,046
5218.0.32.0/21218.0.32.1 to 218.0.39.254218.0.39.2552,046
6218.0.40.0/21218.0.40.1 to 218.0.47.254218.0.47.2552,046
7218.0.48.0/21218.0.48.1 to 218.0.55.254218.0.55.2552,046
8218.0.56.0/21218.0.56.1 to 218.0.63.254218.0.63.2552,046
9218.0.64.0/21218.0.64.1 to 218.0.71.254218.0.71.2552,046
10218.0.72.0/21218.0.72.1 to 218.0.79.254218.0.79.2552,046
11218.0.80.0/21218.0.80.1 to 218.0.87.254218.0.87.2552,046
12218.0.88.0/21218.0.88.1 to 218.0.95.254218.0.95.2552,046
13218.0.96.0/21218.0.96.1 to 218.0.103.254218.0.103.2552,046
14218.0.104.0/21218.0.104.1 to 218.0.111.254218.0.111.2552,046
15218.0.112.0/21218.0.112.1 to 218.0.119.254218.0.119.2552,046
16218.0.120.0/21218.0.120.1 to 218.0.127.254218.0.127.2552,046
17218.0.128.0/21218.0.128.1 to 218.0.135.254218.0.135.2552,046
18218.0.136.0/21218.0.136.1 to 218.0.143.254218.0.143.2552,046
19218.0.144.0/21218.0.144.1 to 218.0.151.254218.0.151.2552,046
20218.0.152.0/21218.0.152.1 to 218.0.159.254218.0.159.2552,046
21218.0.160.0/21218.0.160.1 to 218.0.167.254218.0.167.2552,046
22218.0.168.0/21218.0.168.1 to 218.0.175.254218.0.175.2552,046
23218.0.176.0/21218.0.176.1 to 218.0.183.254218.0.183.2552,046
24218.0.184.0/21218.0.184.1 to 218.0.191.254218.0.191.2552,046
25218.0.192.0/21218.0.192.1 to 218.0.199.254218.0.199.2552,046
26218.0.200.0/21218.0.200.1 to 218.0.207.254218.0.207.2552,046
27218.0.208.0/21218.0.208.1 to 218.0.215.254218.0.215.2552,046
28218.0.216.0/21218.0.216.1 to 218.0.223.254218.0.223.2552,046
29218.0.224.0/21218.0.224.1 to 218.0.231.254218.0.231.2552,046
30218.0.232.0/21218.0.232.1 to 218.0.239.254218.0.239.2552,046
31218.0.240.0/21218.0.240.1 to 218.0.247.254218.0.247.2552,046
32218.0.248.0/21218.0.248.1 to 218.0.255.254218.0.255.2552,046
33218.1.0.0/21218.1.0.1 to 218.1.7.254218.1.7.2552,046
34218.1.8.0/21218.1.8.1 to 218.1.15.254218.1.15.2552,046
35218.1.16.0/21218.1.16.1 to 218.1.23.254218.1.23.2552,046
36218.1.24.0/21218.1.24.1 to 218.1.31.254218.1.31.2552,046
37218.1.32.0/21218.1.32.1 to 218.1.39.254218.1.39.2552,046
38218.1.40.0/21218.1.40.1 to 218.1.47.254218.1.47.2552,046
39218.1.48.0/21218.1.48.1 to 218.1.55.254218.1.55.2552,046
40218.1.56.0/21218.1.56.1 to 218.1.63.254218.1.63.2552,046
41218.1.64.0/21218.1.64.1 to 218.1.71.254218.1.71.2552,046
42218.1.72.0/21218.1.72.1 to 218.1.79.254218.1.79.2552,046
43218.1.80.0/21218.1.80.1 to 218.1.87.254218.1.87.2552,046
44218.1.88.0/21218.1.88.1 to 218.1.95.254218.1.95.2552,046
45218.1.96.0/21218.1.96.1 to 218.1.103.254218.1.103.2552,046
46218.1.104.0/21218.1.104.1 to 218.1.111.254218.1.111.2552,046
47218.1.112.0/21218.1.112.1 to 218.1.119.254218.1.119.2552,046
48218.1.120.0/21218.1.120.1 to 218.1.127.254218.1.127.2552,046
49218.1.128.0/21218.1.128.1 to 218.1.135.254218.1.135.2552,046
50218.1.136.0/21218.1.136.1 to 218.1.143.254218.1.143.2552,046
51218.1.144.0/21218.1.144.1 to 218.1.151.254218.1.151.2552,046
52218.1.152.0/21218.1.152.1 to 218.1.159.254218.1.159.2552,046
53218.1.160.0/21218.1.160.1 to 218.1.167.254218.1.167.2552,046
54218.1.168.0/21218.1.168.1 to 218.1.175.254218.1.175.2552,046
55218.1.176.0/21218.1.176.1 to 218.1.183.254218.1.183.2552,046
56218.1.184.0/21218.1.184.1 to 218.1.191.254218.1.191.2552,046
57218.1.192.0/21218.1.192.1 to 218.1.199.254218.1.199.2552,046
58218.1.200.0/21218.1.200.1 to 218.1.207.254218.1.207.2552,046
59218.1.208.0/21218.1.208.1 to 218.1.215.254218.1.215.2552,046
60218.1.216.0/21218.1.216.1 to 218.1.223.254218.1.223.2552,046
61218.1.224.0/21218.1.224.1 to 218.1.231.254218.1.231.2552,046
62218.1.232.0/21218.1.232.1 to 218.1.239.254218.1.239.2552,046
63218.1.240.0/21218.1.240.1 to 218.1.247.254218.1.247.2552,046
64218.1.248.0/21218.1.248.1 to 218.1.255.254218.1.255.2552,046
65218.2.0.0/21218.2.0.1 to 218.2.7.254218.2.7.2552,046
66218.2.8.0/21218.2.8.1 to 218.2.15.254218.2.15.2552,046
67218.2.16.0/21218.2.16.1 to 218.2.23.254218.2.23.2552,046
68218.2.24.0/21218.2.24.1 to 218.2.31.254218.2.31.2552,046
69218.2.32.0/21218.2.32.1 to 218.2.39.254218.2.39.2552,046
70218.2.40.0/21218.2.40.1 to 218.2.47.254218.2.47.2552,046
71218.2.48.0/21218.2.48.1 to 218.2.55.254218.2.55.2552,046
72218.2.56.0/21218.2.56.1 to 218.2.63.254218.2.63.2552,046
73218.2.64.0/21218.2.64.1 to 218.2.71.254218.2.71.2552,046
74218.2.72.0/21218.2.72.1 to 218.2.79.254218.2.79.2552,046
75218.2.80.0/21218.2.80.1 to 218.2.87.254218.2.87.2552,046
76218.2.88.0/21218.2.88.1 to 218.2.95.254218.2.95.2552,046
77218.2.96.0/21218.2.96.1 to 218.2.103.254218.2.103.2552,046
78218.2.104.0/21218.2.104.1 to 218.2.111.254218.2.111.2552,046
79218.2.112.0/21218.2.112.1 to 218.2.119.254218.2.119.2552,046
80218.2.120.0/21218.2.120.1 to 218.2.127.254218.2.127.2552,046
81218.2.128.0/21218.2.128.1 to 218.2.135.254218.2.135.2552,046
82218.2.136.0/21218.2.136.1 to 218.2.143.254218.2.143.2552,046
83218.2.144.0/21218.2.144.1 to 218.2.151.254218.2.151.2552,046
84218.2.152.0/21218.2.152.1 to 218.2.159.254218.2.159.2552,046
85218.2.160.0/21218.2.160.1 to 218.2.167.254218.2.167.2552,046
86218.2.168.0/21218.2.168.1 to 218.2.175.254218.2.175.2552,046
87218.2.176.0/21218.2.176.1 to 218.2.183.254218.2.183.2552,046
88218.2.184.0/21218.2.184.1 to 218.2.191.254218.2.191.2552,046
89218.2.192.0/21218.2.192.1 to 218.2.199.254218.2.199.2552,046
90218.2.200.0/21218.2.200.1 to 218.2.207.254218.2.207.2552,046
91218.2.208.0/21218.2.208.1 to 218.2.215.254218.2.215.2552,046
92218.2.216.0/21218.2.216.1 to 218.2.223.254218.2.223.2552,046
93218.2.224.0/21218.2.224.1 to 218.2.231.254218.2.231.2552,046
94218.2.232.0/21218.2.232.1 to 218.2.239.254218.2.239.2552,046
95218.2.240.0/21218.2.240.1 to 218.2.247.254218.2.247.2552,046
96218.2.248.0/21218.2.248.1 to 218.2.255.254218.2.255.2552,046
97218.3.0.0/21218.3.0.1 to 218.3.7.254218.3.7.2552,046
98218.3.8.0/21218.3.8.1 to 218.3.15.254218.3.15.2552,046
99218.3.16.0/21218.3.16.1 to 218.3.23.254218.3.23.2552,046
100218.3.24.0/21218.3.24.1 to 218.3.31.254218.3.31.2552,046
101218.3.32.0/21218.3.32.1 to 218.3.39.254218.3.39.2552,046
102218.3.40.0/21218.3.40.1 to 218.3.47.254218.3.47.2552,046
103218.3.48.0/21218.3.48.1 to 218.3.55.254218.3.55.2552,046
104218.3.56.0/21218.3.56.1 to 218.3.63.254218.3.63.2552,046
105218.3.64.0/21218.3.64.1 to 218.3.71.254218.3.71.2552,046
106218.3.72.0/21218.3.72.1 to 218.3.79.254218.3.79.2552,046
107218.3.80.0/21218.3.80.1 to 218.3.87.254218.3.87.2552,046
108218.3.88.0/21218.3.88.1 to 218.3.95.254218.3.95.2552,046
109218.3.96.0/21218.3.96.1 to 218.3.103.254218.3.103.2552,046
110218.3.104.0/21218.3.104.1 to 218.3.111.254218.3.111.2552,046
111218.3.112.0/21218.3.112.1 to 218.3.119.254218.3.119.2552,046
112218.3.120.0/21218.3.120.1 to 218.3.127.254218.3.127.2552,046
113218.3.128.0/21218.3.128.1 to 218.3.135.254218.3.135.2552,046
114218.3.136.0/21218.3.136.1 to 218.3.143.254218.3.143.2552,046
115218.3.144.0/21218.3.144.1 to 218.3.151.254218.3.151.2552,046
116218.3.152.0/21218.3.152.1 to 218.3.159.254218.3.159.2552,046
117218.3.160.0/21218.3.160.1 to 218.3.167.254218.3.167.2552,046
118218.3.168.0/21218.3.168.1 to 218.3.175.254218.3.175.2552,046
119218.3.176.0/21218.3.176.1 to 218.3.183.254218.3.183.2552,046
120218.3.184.0/21218.3.184.1 to 218.3.191.254218.3.191.2552,046
121218.3.192.0/21218.3.192.1 to 218.3.199.254218.3.199.2552,046
122218.3.200.0/21218.3.200.1 to 218.3.207.254218.3.207.2552,046
123218.3.208.0/21218.3.208.1 to 218.3.215.254218.3.215.2552,046
124218.3.216.0/21218.3.216.1 to 218.3.223.254218.3.223.2552,046
125218.3.224.0/21218.3.224.1 to 218.3.231.254218.3.231.2552,046
126218.3.232.0/21218.3.232.1 to 218.3.239.254218.3.239.2552,046
127218.3.240.0/21218.3.240.1 to 218.3.247.254218.3.247.2552,046
128218.3.248.0/21218.3.248.1 to 218.3.255.254218.3.255.2552,046
129218.4.0.0/21218.4.0.1 to 218.4.7.254218.4.7.2552,046
130218.4.8.0/21218.4.8.1 to 218.4.15.254218.4.15.2552,046
131218.4.16.0/21218.4.16.1 to 218.4.23.254218.4.23.2552,046
132218.4.24.0/21218.4.24.1 to 218.4.31.254218.4.31.2552,046
133218.4.32.0/21218.4.32.1 to 218.4.39.254218.4.39.2552,046
134218.4.40.0/21218.4.40.1 to 218.4.47.254218.4.47.2552,046
135218.4.48.0/21218.4.48.1 to 218.4.55.254218.4.55.2552,046
136218.4.56.0/21218.4.56.1 to 218.4.63.254218.4.63.2552,046
137218.4.64.0/21218.4.64.1 to 218.4.71.254218.4.71.2552,046
138218.4.72.0/21218.4.72.1 to 218.4.79.254218.4.79.2552,046
139218.4.80.0/21218.4.80.1 to 218.4.87.254218.4.87.2552,046
140218.4.88.0/21218.4.88.1 to 218.4.95.254218.4.95.2552,046
141218.4.96.0/21218.4.96.1 to 218.4.103.254218.4.103.2552,046
142218.4.104.0/21218.4.104.1 to 218.4.111.254218.4.111.2552,046
143218.4.112.0/21218.4.112.1 to 218.4.119.254218.4.119.2552,046
144218.4.120.0/21218.4.120.1 to 218.4.127.254218.4.127.2552,046
145218.4.128.0/21218.4.128.1 to 218.4.135.254218.4.135.2552,046
146218.4.136.0/21218.4.136.1 to 218.4.143.254218.4.143.2552,046
147218.4.144.0/21218.4.144.1 to 218.4.151.254218.4.151.2552,046
148218.4.152.0/21218.4.152.1 to 218.4.159.254218.4.159.2552,046
149218.4.160.0/21218.4.160.1 to 218.4.167.254218.4.167.2552,046
150218.4.168.0/21218.4.168.1 to 218.4.175.254218.4.175.2552,046
151218.4.176.0/21218.4.176.1 to 218.4.183.254218.4.183.2552,046
152218.4.184.0/21218.4.184.1 to 218.4.191.254218.4.191.2552,046
153218.4.192.0/21218.4.192.1 to 218.4.199.254218.4.199.2552,046
154218.4.200.0/21218.4.200.1 to 218.4.207.254218.4.207.2552,046
155218.4.208.0/21218.4.208.1 to 218.4.215.254218.4.215.2552,046
156218.4.216.0/21218.4.216.1 to 218.4.223.254218.4.223.2552,046
157218.4.224.0/21218.4.224.1 to 218.4.231.254218.4.231.2552,046
158218.4.232.0/21218.4.232.1 to 218.4.239.254218.4.239.2552,046
159218.4.240.0/21218.4.240.1 to 218.4.247.254218.4.247.2552,046
160218.4.248.0/21218.4.248.1 to 218.4.255.254218.4.255.2552,046
161218.5.0.0/21218.5.0.1 to 218.5.7.254218.5.7.2552,046
162218.5.8.0/21218.5.8.1 to 218.5.15.254218.5.15.2552,046
163218.5.16.0/21218.5.16.1 to 218.5.23.254218.5.23.2552,046
164218.5.24.0/21218.5.24.1 to 218.5.31.254218.5.31.2552,046
165218.5.32.0/21218.5.32.1 to 218.5.39.254218.5.39.2552,046
166218.5.40.0/21218.5.40.1 to 218.5.47.254218.5.47.2552,046
167218.5.48.0/21218.5.48.1 to 218.5.55.254218.5.55.2552,046
168218.5.56.0/21218.5.56.1 to 218.5.63.254218.5.63.2552,046
169218.5.64.0/21218.5.64.1 to 218.5.71.254218.5.71.2552,046
170218.5.72.0/21218.5.72.1 to 218.5.79.254218.5.79.2552,046
171218.5.80.0/21218.5.80.1 to 218.5.87.254218.5.87.2552,046
172218.5.88.0/21218.5.88.1 to 218.5.95.254218.5.95.2552,046
173218.5.96.0/21218.5.96.1 to 218.5.103.254218.5.103.2552,046
174218.5.104.0/21218.5.104.1 to 218.5.111.254218.5.111.2552,046
175218.5.112.0/21218.5.112.1 to 218.5.119.254218.5.119.2552,046
176218.5.120.0/21218.5.120.1 to 218.5.127.254218.5.127.2552,046
177218.5.128.0/21218.5.128.1 to 218.5.135.254218.5.135.2552,046
178218.5.136.0/21218.5.136.1 to 218.5.143.254218.5.143.2552,046
179218.5.144.0/21218.5.144.1 to 218.5.151.254218.5.151.2552,046
180218.5.152.0/21218.5.152.1 to 218.5.159.254218.5.159.2552,046
181218.5.160.0/21218.5.160.1 to 218.5.167.254218.5.167.2552,046
182218.5.168.0/21218.5.168.1 to 218.5.175.254218.5.175.2552,046
183218.5.176.0/21218.5.176.1 to 218.5.183.254218.5.183.2552,046
184218.5.184.0/21218.5.184.1 to 218.5.191.254218.5.191.2552,046
185218.5.192.0/21218.5.192.1 to 218.5.199.254218.5.199.2552,046
186218.5.200.0/21218.5.200.1 to 218.5.207.254218.5.207.2552,046
187218.5.208.0/21218.5.208.1 to 218.5.215.254218.5.215.2552,046
188218.5.216.0/21218.5.216.1 to 218.5.223.254218.5.223.2552,046
189218.5.224.0/21218.5.224.1 to 218.5.231.254218.5.231.2552,046
190218.5.232.0/21218.5.232.1 to 218.5.239.254218.5.239.2552,046
191218.5.240.0/21218.5.240.1 to 218.5.247.254218.5.247.2552,046
192218.5.248.0/21218.5.248.1 to 218.5.255.254218.5.255.2552,046
193218.6.0.0/21218.6.0.1 to 218.6.7.254218.6.7.2552,046
194218.6.8.0/21218.6.8.1 to 218.6.15.254218.6.15.2552,046
195218.6.16.0/21218.6.16.1 to 218.6.23.254218.6.23.2552,046
196218.6.24.0/21218.6.24.1 to 218.6.31.254218.6.31.2552,046
197218.6.32.0/21218.6.32.1 to 218.6.39.254218.6.39.2552,046
198218.6.40.0/21218.6.40.1 to 218.6.47.254218.6.47.2552,046
199218.6.48.0/21218.6.48.1 to 218.6.55.254218.6.55.2552,046
200218.6.56.0/21218.6.56.1 to 218.6.63.254218.6.63.2552,046
201218.6.64.0/21218.6.64.1 to 218.6.71.254218.6.71.2552,046
202218.6.72.0/21218.6.72.1 to 218.6.79.254218.6.79.2552,046
203218.6.80.0/21218.6.80.1 to 218.6.87.254218.6.87.2552,046
204218.6.88.0/21218.6.88.1 to 218.6.95.254218.6.95.2552,046
205218.6.96.0/21218.6.96.1 to 218.6.103.254218.6.103.2552,046
206218.6.104.0/21218.6.104.1 to 218.6.111.254218.6.111.2552,046
207218.6.112.0/21218.6.112.1 to 218.6.119.254218.6.119.2552,046
208218.6.120.0/21218.6.120.1 to 218.6.127.254218.6.127.2552,046
209218.6.128.0/21218.6.128.1 to 218.6.135.254218.6.135.2552,046
210218.6.136.0/21218.6.136.1 to 218.6.143.254218.6.143.2552,046
211218.6.144.0/21218.6.144.1 to 218.6.151.254218.6.151.2552,046
212218.6.152.0/21218.6.152.1 to 218.6.159.254218.6.159.2552,046
213218.6.160.0/21218.6.160.1 to 218.6.167.254218.6.167.2552,046
214218.6.168.0/21218.6.168.1 to 218.6.175.254218.6.175.2552,046
215218.6.176.0/21218.6.176.1 to 218.6.183.254218.6.183.2552,046
216218.6.184.0/21218.6.184.1 to 218.6.191.254218.6.191.2552,046
217218.6.192.0/21218.6.192.1 to 218.6.199.254218.6.199.2552,046
218218.6.200.0/21218.6.200.1 to 218.6.207.254218.6.207.2552,046
219218.6.208.0/21218.6.208.1 to 218.6.215.254218.6.215.2552,046
220218.6.216.0/21218.6.216.1 to 218.6.223.254218.6.223.2552,046
221218.6.224.0/21218.6.224.1 to 218.6.231.254218.6.231.2552,046
222218.6.232.0/21218.6.232.1 to 218.6.239.254218.6.239.2552,046
223218.6.240.0/21218.6.240.1 to 218.6.247.254218.6.247.2552,046
224218.6.248.0/21218.6.248.1 to 218.6.255.254218.6.255.2552,046
225218.7.0.0/21218.7.0.1 to 218.7.7.254218.7.7.2552,046
226218.7.8.0/21218.7.8.1 to 218.7.15.254218.7.15.2552,046
227218.7.16.0/21218.7.16.1 to 218.7.23.254218.7.23.2552,046
228218.7.24.0/21218.7.24.1 to 218.7.31.254218.7.31.2552,046
229218.7.32.0/21218.7.32.1 to 218.7.39.254218.7.39.2552,046
230218.7.40.0/21218.7.40.1 to 218.7.47.254218.7.47.2552,046
231218.7.48.0/21218.7.48.1 to 218.7.55.254218.7.55.2552,046
232218.7.56.0/21218.7.56.1 to 218.7.63.254218.7.63.2552,046
233218.7.64.0/21218.7.64.1 to 218.7.71.254218.7.71.2552,046
234218.7.72.0/21218.7.72.1 to 218.7.79.254218.7.79.2552,046
235218.7.80.0/21218.7.80.1 to 218.7.87.254218.7.87.2552,046
236218.7.88.0/21218.7.88.1 to 218.7.95.254218.7.95.2552,046
237218.7.96.0/21218.7.96.1 to 218.7.103.254218.7.103.2552,046
238218.7.104.0/21218.7.104.1 to 218.7.111.254218.7.111.2552,046
239218.7.112.0/21218.7.112.1 to 218.7.119.254218.7.119.2552,046
240218.7.120.0/21218.7.120.1 to 218.7.127.254218.7.127.2552,046
241218.7.128.0/21218.7.128.1 to 218.7.135.254218.7.135.2552,046
242218.7.136.0/21218.7.136.1 to 218.7.143.254218.7.143.2552,046
243218.7.144.0/21218.7.144.1 to 218.7.151.254218.7.151.2552,046
244218.7.152.0/21218.7.152.1 to 218.7.159.254218.7.159.2552,046
245218.7.160.0/21218.7.160.1 to 218.7.167.254218.7.167.2552,046
246218.7.168.0/21218.7.168.1 to 218.7.175.254218.7.175.2552,046
247218.7.176.0/21218.7.176.1 to 218.7.183.254218.7.183.2552,046
248218.7.184.0/21218.7.184.1 to 218.7.191.254218.7.191.2552,046
249218.7.192.0/21218.7.192.1 to 218.7.199.254218.7.199.2552,046
250218.7.200.0/21218.7.200.1 to 218.7.207.254218.7.207.2552,046
251218.7.208.0/21218.7.208.1 to 218.7.215.254218.7.215.2552,046
252218.7.216.0/21218.7.216.1 to 218.7.223.254218.7.223.2552,046
253218.7.224.0/21218.7.224.1 to 218.7.231.254218.7.231.2552,046
254218.7.232.0/21218.7.232.1 to 218.7.239.254218.7.239.2552,046
255218.7.240.0/21218.7.240.1 to 218.7.247.254218.7.247.2552,046
256218.7.248.0/21218.7.248.1 to 218.7.255.254218.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses